Get Identity
Retrieve a specific visitor identity by ID
GET https://api.orwel.io/api/v1/identities/{id}
Path Parameters
idstringpathrequiredThe unique identifier (UUID) of the identity
Response
dataobjectThe visitor identity object
Request
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009" \
-H "Authorization: Bearer orwel_sk_YOUR_KEY"const identityId = 'ee0e8400-e29b-41d4-a716-446655440009';
const response = await fetch(
`https://api.orwel.io/api/v1/identities/${identityId}`,
{
headers: {
'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}
}
);
const data = await response.json();import requests
identity_id = 'ee0e8400-e29b-41d4-a716-446655440009'
headers = {
'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}
response = requests.get(
f'https://api.orwel.io/api/v1/identities/{identity_id}',
headers=headers
)
data = response.json()Response
{
"data": {
"id": "ee0e8400-e29b-41d4-a716-446655440009",
"workspace_id": "770e8400-e29b-41d4-a716-446655440002",
"visitor_id": "660e8400-e29b-41d4-a716-446655440001",
"email": "user@example.com",
"name": "John Visitor",
"traits": {
"plan": "enterprise",
"company": "Acme Corp"
},
"first_seen": "2025-01-10T08:00:00Z",
"last_seen": "2025-01-15T16:30:00Z",
"ip": "192.168.1.1",
"city": "San Francisco",
"country": "USA",
"is_favorite": true,
"created_at": "2025-01-10T08:00:00Z"
}
}{
"error": "not_found",
"message": "Identity not found or does not belong to your workspace"
}